#!/bin/bash

command_exists(){
        command -v "$1" &> /dev/null;
}

rm_gjyn(){
	echo $1 $2
        if [ -f "/usr/lib/x86_64-linux-gnu/peony-extensions/$2" ];then
                rm /usr/lib/x86_64-linux-gnu/peony-extensions/$2
        elif [ -f "/usr/lib/mips64el-linux-gnuabi64/peony-extensions/$2" ];then
                rm /usr/lib/mips64el-linux-gnuabi64/peony-extensions/$2
        elif [ -f "/usr/lib/aarch64-linux-gnu/peony-extensions/$2" ];then
                rm /usr/lib/aarch64-linux-gnu/peony-extensions/$2
        elif [ -f "/usr/lib/mips64el-linux-gnu/$1/extensions-2.0/$2" ];then
                rm /usr/lib/mips64el-linux-gnu/$1/extensions-2.0/$2
        elif [ -f "/usr/lib/$1/extensions-3.0/$2" ];then
                rm /usr/lib/$1/extensions-3.0/$2
        elif [ -f "usr/lib64/$1/extensions-3.0/$2" ];then
                rm /usr/lib64/$1/extensions-3.0/$2
        elif [ -f "/usr/lib/$1/extensions-2.0/$2" ];then
                rm /usr/lib/$1/extensions-2.0/$2
        elif [ -f "/usr/lib64/$1/extensions-2.0/$2" ];then
                rm /usr/lib64/$1/extensions-2.0/$2
        elif [ -f "/usr/lib/aarch64-linux-gnu/caja/extensions-2.0/libcaja-gjyn.so" ];then
                rm /usr/lib/aarch64-linux-gnu/caja/extensions-2.0/libcaja-gjyn.so
        else
                echo "gjyn.so is failure"
        fi
}

if command_exists nemo ; then
	echo "rm nemo files"
	rm /usr/share/nemo/actions/jynscan.nemo_action
elif command_exists caja ; then
	echo "rm caja files"
	rm_gjyn caja libcaja-gjyn.so
elif command_exists nautilus ; then
	echo "rm nautilus files"
	rm_gjyn nautilus libnautilus-gjyn.so
elif command_exists dde-file-manager ; then
	echo "rm dde-file-manager files"    
	rm /usr/share/deepin/dde-file-manager/oem-menuextensions/deepin-chenxinsd.desktop
elif command_exists peony ; then
	echo "rm peony files"
	rm_gjyn peony libpeony-gjyn.so
fi
